ManticDocs
API referenceBeta API referenceQuestion sets

Get question set questions

GET
/question-sets/{question_set_id}/questions

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

question_set_id*Question Set Id

Query Parameters

after?string|null
show_forecasts?boolean|null

Response Body

application/json

application/json

curl -X GET "https://example.com/question-sets/0/questions"
{  "questions": [    {      "id": 1234,      "title": "Will UK inflation be below 3% in December 2026?",      "declarative_title": "UK inflation will be below 3% in December 2026.",      "created_at": "2026-09-18T12:30:00Z",      "visibility": "public",      "latest_forecast": {        "date": "2026-09-15T10:42:00Z",        "id": 987,        "type": "unknown"      },      "supplementary_information": "The Office for National Statistics publishes monthly CPI figures, usually in the middle of the following month.",      "clarifications": "Resolves Yes if the Office for National Statistics reports UK CPI inflation for December 2026 below 3.0%. Resolves No otherwise.",      "resolution": {        "resolved_at": "2026-09-18T12:30:00Z",        "value": "Yes",        "notes": "The Office for National Statistics reported December 2026 inflation of 2.8%."      },      "tags": [        "Economics",        "United Kingdom"      ]    }  ],  "next": {    "id": 0  }}